当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-05 20:26 

注册: 2009-08-08 19:42
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
今天上午更新系统,从2.6.31-18升级到2.6.31-19。。
然后启动后进入了grub控制台界面。

然后我:ls,发现有(loop0) (hd0,1) (hd0,2)------
然后我执行下面命令:
linux /boot/vmlinuz-2.6.31-19 root=/dev/sda2 loop=/ubuntu/disks/root.disk
initrd /boot/initrd.img-2.6.31-19
boot

开始引导,最后提示"kernel panic - not syncing:VFS:unable to mount root fs on unknow-block(8,2)"
搞了半天没解决。
后来没办法只能用原来的kernel进系统。。
也是用的上面的命令。
是不是下载过程中内核文件受损还是新内核不只是旧的文件系统啊?
还有,我现在的电脑里面有4个版本的内核了 14 17 18 19

发个帖通报以下情况,如果有人遇到相同的问题可以一起讨论。。
也可以用上面的命令来使用旧版本的内核。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-05 20:48 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
换个源试试,也许是升级没有完全。。。另外如果安装了受限驱动,可以考虑先删除之,内核更新完成后再重新安装之。


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-06 6:07 
头像

注册: 2008-08-15 14:38
帖子: 68
送出感谢: 0 次
接收感谢: 0 次
搬个板凳表示同情 :em02 ,我遇到的问题跟lz不大一样,升了几次都没成功,/boot/下找不到新内核。。。现在还在用15。。。 :em20


_________________
Software is like sex, it's better when it's free.
文件同步备份神器!10G 免费无限制,支持外链,扔掉U盘。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-06 6:24 
头像

注册: 2009-10-20 21:13
帖子: 2089
地址: Pacific Western University
送出感谢: 0 次
接收感谢: 7
proposed 源最好不要用。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-06 10:27 

注册: 2009-11-15 20:29
帖子: 131
地址: Ningpo,Chekiang
送出感谢: 0 次
接收感谢: 0 次
Mount of root filesystem failed.
A maintenance shell will now be started.
CONTROL-D will terminate this shell and reboot the system.
Give root password for maintenance
(or type CONTROL-D to continue):
=================================
高人快来解答呀!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-06 13:58 

注册: 2008-11-02 21:56
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
LZ不是用wubi装的吧。。。。?

我的是用wubi装的,自打升到2.6.31-17就出现同样的问题了。郁闷死。

我记得在你给出的提示上面还有一句提示,大致意思是说“分区格式需要ext2,ext3....”但是貌似没有ntfs格式。所以不知道是不是wubi安装的通常是在ntsf格式分区导致的无法识别。到现在我还在用-14的内核。已经不能用郁闷来表达我的感觉了。

难道跟grub的升级有关?


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-06 17:08 
头像

注册: 2008-09-07 23:44
帖子: 550
送出感谢: 0 次
接收感谢: 1
2.6.31-19 这个有问题。而且和nvidia的驱动似乎有点关系。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-08 18:36 

注册: 2009-08-08 19:42
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
heshuaikun 写道:
2.6.31-19 这个有问题。而且和nvidia的驱动似乎有点关系。

我也是这么觉得的·······
不然为什么偏偏只有2.6.31-19有问题嘞··
问题还没解决,继续使用2.6.31-18


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-08 18:48 

注册: 2009-11-15 15:34
帖子: 6
送出感谢: 0 次
接收感谢: 0 次
:em06 升19以后发现启动死读硬盘,还特慢.不知为啥


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-10 0:47 

注册: 2009-08-31 21:27
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
我脚的好杯具,更新到19后显卡驱动就不正常T T


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-10 1:37 
头像

注册: 2007-11-14 17:39
帖子: 441
送出感谢: 0 次
接收感谢: 0 次
20出来了


_________________
Twitter@Yunkwan
http://yunkwan.wordpress.com
爱护地球,请尽量避免编译
Linux仿Mac之KDE篇
简单修复Grub2
解决英文环境Opera中文字体问题
解决Linux字体发虚的终极方法(适合用于假如你试过网上的方法都无效)


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-11 9:48 

注册: 2009-08-08 19:42
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
嗯嗯····
试一下20的说···


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 今天更新内核从2.6.31-18到2.6.31-19后新内核不能启动
帖子发表于 : 2010-02-11 14:37 
头像

注册: 2010-01-28 10:45
帖子: 19507
送出感谢: 6
接收感谢: 41
nvidia的驱动就好还是用系统推荐的那个 我之前也试过一升级进入桌面就是一个黑屏


_________________

*********宁静致远*********
如果我说的有什么不对,请看签名第一行


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译